# wxTCPClient Class Reference
[Networking]

`#include <wx/sckipc.h>`

Inheritance diagram for wxTCPClient:
[legend]

## Detailed Description

A wxTCPClient object represents the client part of a client-server conversation.

It emulates a DDE-style protocol, but uses TCP/IP which is available on most platforms.

A DDE-based implementation for Windows is available using wxDDEClient.

To create a client which can communicate with a suitable server, you need to derive a class from wxTCPConnection and another from wxTCPClient. The custom wxTCPConnection class will intercept communications in a 'conversation' with a server, and the custom wxTCPServer is required so that a user-overridden wxTCPClient::OnMakeConnection() member can return a wxTCPConnection of the required class, when a connection is made.

##

Library: wxNet

Category: Networking

See also:
  wxTCPServer, wxTCPConnection, Interprocess Communication

## Public Member Functions
| wxTCPClient ()
| Constructs a client object.
virtual wxConnectionBase * | MakeConnection (const wxString &host, const wxString &service, const wxString &topic)
| Tries to make a connection with a server specified by the host (a machine name under Unix), service name (must contain an integer port number under Unix), and a topic string.
virtual wxConnectionBase * | OnMakeConnection ()
| The type of wxTCPConnection returned from a MakeConnection() call can be altered by deriving the OnMakeConnection member to return your own derived connection object.
virtual bool | ValidHost (const wxString &host)
| Returns true if this is a valid host name, false otherwise.

List of all members.

## Constructor & Destructor Documentation

wxTCPClient::wxTCPClient | ( |  | ) |

Constructs a client object.

## Member Function Documentation

virtual wxConnectionBase* wxTCPClient::MakeConnection | ( | const wxString & | host,
|  | const wxString & | service,
|  | const wxString & | topic |
| ) |  |  | `[virtual]`

Tries to make a connection with a server specified by the host (a machine name under Unix), service name (must contain an integer port number under Unix), and a topic string.

If the server allows a connection, a wxTCPConnection object will be returned.

The type of wxTCPConnection returned can be altered by overriding the OnMakeConnection() member to return your own derived connection object.

virtual wxConnectionBase* wxTCPClient::OnMakeConnection | ( |  | ) | `[virtual]`

The type of wxTCPConnection returned from a MakeConnection() call can be altered by deriving the OnMakeConnection member to return your own derived connection object.

By default, a wxTCPConnection object is returned.

The advantage of deriving your own connection class is that it will enable you to intercept messages initiated by the server, such as wxTCPConnection::OnAdvise(). You may also want to store application-specific data in instances of the new class.

virtual bool wxTCPClient::ValidHost | ( | const wxString & | host | ) | `[virtual]`

Returns true if this is a valid host name, false otherwise.

|  | [ top ]